# Class BaseNCodecInputStream.AbstracBuilder<T, C extends BaseNCodec, B extends AbstractBaseNCodecStreamBuilder<T,C,B>>

java.lang.Object
org.apache.commons.codec.binary.AbstractBaseNCodecStreamBuilder<T,C,B>
org.apache.commons.codec.binary.BaseNCodecInputStream.AbstracBuilder<T,C,B>

Type Parameters:
  `T` - the input stream type to build.
  `C` - A `BaseNCodec` subclass.
  `B` - the builder subclass.

All Implemented Interfaces:
  `Supplier<T>`

Direct Known Subclasses:
  `Base16InputStream.Builder, Base32InputStream.Builder, Base64InputStream.Builder`

Enclosing class:
  `BaseNCodecInputStream<C extends BaseNCodec, T extends BaseNCodecInputStream<C,T,B>, B extends BaseNCodecInputStream.AbstracBuilder<T,C,B>>`

public abstract static class BaseNCodecInputStream.AbstracBuilder<T, C extends BaseNCodec, B extends AbstractBaseNCodecStreamBuilder<T,C,B>> extends AbstractBaseNCodecStreamBuilder<T,C,B>
Builds input stream instances in `BaseNCodec` format.

Since:
  1.20.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstracBuilder()`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected InputStream`
  `getInputStream()`
  Gets the input stream.
  `B`
  `setInputStream(InputStream inputStream)`
  Sets the input stream.

  ### Methods inherited from class AbstractBaseNCodecStreamBuilder

  `getBaseNCodec, getEncode, newBaseNCodec, setBaseNCodec, setEncode`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface Supplier

  `get`

- ## Constructor Details

  - ### AbstracBuilder

    public AbstracBuilder()
    Constructs a new instance.

- ## Method Details

  - ### getInputStream

    protected InputStream getInputStream()
    Gets the input stream.
    Returns:
      the input stream.

  - ### setInputStream

    public B setInputStream(InputStream inputStream)
    Sets the input stream.
    Parameters:
      `inputStream` - the input stream.
    Returns:
      `this` instance.